Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.api.plugins.quality
[Groovy] Class CodeNarcExtension

    java.lang.Object
      org.gradle.api.plugins.quality.CodeQualityExtension
          org.gradle.api.plugins.quality.CodeNarcExtension

    class CodeNarcExtension
    extends CodeQualityExtension

Property Summary
`File` | `configFile` The CodeNarc configuration file to use.
`int` | `maxPriority1Violations` The maximum number of priority 1 violations allowed before failing the build.
`int` | `maxPriority2Violations` The maximum number of priority 2 violations allowed before failing the build.
`int` | `maxPriority3Violations` The maximum number of priority 3 violations allowed before failing the build.
`String` | `reportFormat` The format type of the CodeNarc report.

Method Summary
`void` | `setReportFormat(String reportFormat)`

Property Detail

### configFile

    File configFile

  The CodeNarc configuration file to use.

### maxPriority1Violations

    int maxPriority1Violations

  The maximum number of priority 1 violations allowed before failing the build.

### maxPriority2Violations

    int maxPriority2Violations

  The maximum number of priority 2 violations allowed before failing the build.

### maxPriority3Violations

    int maxPriority3Violations

  The maximum number of priority 3 violations allowed before failing the build.

### reportFormat

    String reportFormat

  The format type of the CodeNarc report. One of `html`, `xml`, `text`, `console`.

Method Detail

### setReportFormat

    void setReportFormat(String reportFormat)

Gradle API 1.10